<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{E7F2647E-07D6-41F2-81FD-FA32DA6D2526}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>CCDCount.DLL</RootNamespace>
    <AssemblyName>CCDCount.DLL</AssemblyName>
    <TargetFrameworkVersion>v4.8</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <Deterministic>true</Deterministic>
    <NuGetPackageImportStamp>
    </NuGetPackageImportStamp>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>5</WarningLevel>
    <PlatformTarget>x64</PlatformTarget>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|x64'">
    <DebugSymbols>true</DebugSymbols>
    <OutputPath>bin\x64\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <WarningLevel>5</WarningLevel>
    <DebugType>full</DebugType>
    <PlatformTarget>x64</PlatformTarget>
    <LangVersion>7.3</LangVersion>
    <ErrorReport>prompt</ErrorReport>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release|x64'">
    <OutputPath>bin\x64\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <Optimize>true</Optimize>
    <DebugType>pdbonly</DebugType>
    <PlatformTarget>x64</PlatformTarget>
    <LangVersion>7.3</LangVersion>
    <ErrorReport>prompt</ErrorReport>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="MvCameraControl.Net, Version=4.5.0.2, Culture=neutral, PublicKeyToken=a3c7c5e3a730cd12, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>DLL\MvCameraControl.Net.dll</HintPath>
    </Reference>
    <Reference Include="PresentationCore" />
    <Reference Include="System" />
    <Reference Include="System.ComponentModel.DataAnnotations" />
    <Reference Include="System.Core" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Numerics" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Net.Http" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="AlarmTools\AlarmMessageList.cs" />
    <Compile Include="AlarmTools\SystemAlarm.cs" />
    <Compile Include="AuditTrail\BatchRecordClass.cs" />
    <Compile Include="AuditTrail\ErrorMessageRecordClass.cs" />
    <Compile Include="AuditTrail\FormulationRecordClass.cs" />
    <Compile Include="AuditTrail\ValueChangeRecordClass.cs" />
    <Compile Include="BottingClass.cs" />
    <Compile Include="CameraClass.cs" />
    <Compile Include="Delta\DeltaClass.cs" />
    <Compile Include="FaultLogClass.cs" />
    <Compile Include="FormulationClass.cs" />
    <Compile Include="PLCManagementClass.cs" />
    <Compile Include="Properties\Resources.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>Resources.resx</DependentUpon>
    </Compile>
    <Compile Include="SqlDataClass\ActionMesSqliteDataClass.cs" />
    <Compile Include="SqlDataClass\BatchMessSqliteDataClass.cs" />
    <Compile Include="SqlDataClass\UserMessSqliteDataClass.cs" />
    <Compile Include="Tools\IniFileClass.cs" />
    <Compile Include="Tools\LineScanCameraCalibrator.cs" />
    <Compile Include="Tools\LoadSplieImageClass.cs" />
    <Compile Include="Tools\LogClass.cs" />
    <Compile Include="MainThreadClass.cs" />
    <Compile Include="ShuLiClass.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="Delta\EtherCAT_DLL.cs" />
    <Compile Include="Delta\EtherCAT_DLL_Err.cs" />
    <Compile Include="Tools\ModbusClass.cs" />
    <Compile Include="SqlDataClass\ErrorMesSqliteDataClass.cs" />
    <Compile Include="Tools\OnScreenKeyboardClass.cs" />
    <Compile Include="Tools\PDFGenerateTools.cs" />
    <Compile Include="Tools\SystemMonitorClass.cs" />
    <Compile Include="Tools\XMLFileClass.cs" />
    <Compile Include="ZhengYunDong\Zmcaux.cs" />
    <Compile Include="ZhengYunDong\ZmcauxClass.cs" />
  </ItemGroup>
  <ItemGroup>
    <Content Include="DLL\MvCameraControl.Net.dll" />
    <Content Include="DLL\MvFGCtrlC.Net.dll" />
    <Content Include="DLL\zauxdll.dll" />
    <Content Include="DLL\zmotion.dll" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\TestWork.MODEL\CCDCount.MODEL.csproj">
      <Project>{C230B744-CABC-4B34-80BB-2CEE55A8B2B9}</Project>
      <Name>CCDCount.MODEL</Name>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <None Include="app.config" />
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="Properties\Resources.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
    </EmbeddedResource>
  </ItemGroup>
  <ItemGroup>
    <PackageReference Include="BouncyCastle.Cryptography">
      <Version>2.4.0</Version>
    </PackageReference>
    <PackageReference Include="CsvHelper">
      <Version>33.0.1</Version>
    </PackageReference>
    <PackageReference Include="EntityFramework">
      <Version>6.4.4</Version>
    </PackageReference>
    <PackageReference Include="iTextSharp">
      <Version>5.5.13.4</Version>
    </PackageReference>
    <PackageReference Include="Microsoft.Bcl.AsyncInterfaces">
      <Version>8.0.0</Version>
    </PackageReference>
    <PackageReference Include="Microsoft.Bcl.HashCode">
      <Version>1.1.1</Version>
    </PackageReference>
    <PackageReference Include="Microsoft.CSharp">
      <Version>4.7.0</Version>
    </PackageReference>
    <PackageReference Include="NModbus">
      <Version>3.0.81</Version>
    </PackageReference>
    <PackageReference Include="Stub.System.Data.SQLite.Core.NetFramework">
      <Version>1.0.119</Version>
    </PackageReference>
    <PackageReference Include="System.Buffers">
      <Version>4.4.0</Version>
    </PackageReference>
    <PackageReference Include="System.Data.SQLite">
      <Version>1.0.119</Version>
    </PackageReference>
    <PackageReference Include="System.Data.SQLite.Core">
      <Version>1.0.119</Version>
    </PackageReference>
    <PackageReference Include="System.Data.SQLite.EF6">
      <Version>1.0.119</Version>
    </PackageReference>
    <PackageReference Include="System.Data.SQLite.Linq">
      <Version>1.0.119</Version>
    </PackageReference>
    <PackageReference Include="System.Memory">
      <Version>4.5.0</Version>
    </PackageReference>
    <PackageReference Include="System.Numerics.Vectors">
      <Version>4.4.0</Version>
    </PackageReference>
    <PackageReference Include="System.Runtime.CompilerServices.Unsafe">
      <Version>4.5.3</Version>
    </PackageReference>
    <PackageReference Include="System.Threading.Tasks.Extensions">
      <Version>4.5.4</Version>
    </PackageReference>
  </ItemGroup>
  <ItemGroup />
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
</Project>